## Client Hermès

Ce bundle offre un client PHP pouvant communiquer avec [Hermès](https://git.2le.net/2le/hermes).  
Il est toujours en cours de développement.

### Installation

Ajouter dans `composer.json`
```json
"repositories": [
    {
        "url": "https://git.2le.net/2le/client-hermes-bundle",
        "type": "vcs"
    }
],
```

Exécuter `composer require 2le/client-hermes-bundle:dev-master`

### Configuration
```yaml
lle_client_hermes:
    api_url: "%env(HERMES_URL)%"
```

### Utilisation

Le client propose deux services :
* Mailer - gestion des mails
* TemplateManager - gestion des modèles de mail

Il suffit d'utiliser l'injection de services. Les propriétés des objets Mail, etc. sont documentées dans leurs classes.

* Écrire un mail: exemple basique qui utilise un modèle

```php
$mail = new Mail();
$mail
    ->setTemplate("template_code")
    ->addTo(new Contact("Nathan", "nathan@2le.net"));

$mailer->send($mail);
```

* Créer un mail:
```php
// $mail->getId() contiendra l'id du mail en BDD de Hermès
$mailer->create($mail);
```

* Envoyer un mail enregistré en BDD
```php
// on peut aussi mettre un identifiant en paramètre
$mailer->sendSavedMail($mail);
```

* Pièces-jointes
```php
// Base 64
$mail->addAttachment(new Base64Attachment($generator->generate(), $filename, "application/pdf"));

// Ressource (fichier ou url)
$mail->addAttachment(new ResourceAttachment("file.json", $filename, "application/json"));
```