<?php
namespace Lle\ClientHermesBundle\Form;

use Lle\ClientHermesBundle\Service\TemplateManager;
use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\Extension\Core\Type\ChoiceType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\Form\FormInterface;
use Symfony\Component\Form\FormView;
use Symfony\Component\OptionsResolver\OptionsResolver;
use Symfony\Component\OptionsResolver\Options;

class ModelCodeType extends AbstractType
{
    private $templateManager;

    public function __construct(TemplateManager $templateManager){
        $this->templateManager = $templateManager;
    }

    public function configureOptions(OptionsResolver $resolver)
    {
        $resolver->setDefaults([
            'filter' => null,
            'choices' => function(Options $options){
                $choices = [];
                foreach($this->templateManager->getAvailableTemplates() as $template){
                    if (!$options['filter'] || strstr($template['code'], $options['filter'])) {
                        $choices[$template['libelle']] = $template['code'];
                    }
                }
                return $choices;
            }
        ]);
    }


    public function getParent()
    {
        return ChoiceType::class;
    }
}
